# $Revision: 1.5 $, $Date: 2011/07/18 12:49:58 $
Summary:	Functional Constraint Library implemented in Objective Caml
Name:		ocaml-facile
Version:	1.1
Release:	3
License:	LGPL
Group:		Libraries
Source0:	http://www.recherche.enac.fr/opti/facile/distrib/facile-%{version}.tar.gz
# Source0-md5:	ab673e1fc0859a42bcb639a02c2d7e9e
URL:		http://www.recherche.enac.fr/opti/facile/
BuildRequires:	ocaml >= 3.02
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FaCiLe is a constraint programming library on integer and integer set
finite domains written in OCaml. It offers all usual facilities to
create and manipulate finite domain variables, arithmetic expressions
and constraints (possibly non-linear), built-in global constraints
(difference, cardinality, sorting etc.) and search and optimization
goals. FaCiLe allows as well to build easily user-defined constraints
and goals (including recursive ones), making pervasive use of OCaml
higher-order functionals to provide a simple and flexible interface
for the user. As FaCiLe is an OCaml library and not "yet another
language", the user benefits from type inference and strong typing
discipline, high level of abstraction, modules and objects system, as
well as native code compilation efficiency, garbage collection and
replay debugger, all features of OCaml (among many others) that allow
to prototype and experiment quickly: modeling, data processing and
interface are implemented with the same powerful and efficient
language. For a more complete description, you may consult the preface
and foreword of the online documentation

%prep
%setup -q -n facile-%{version}

%build
# use ./configure because of 'Unknown option "LDFLAGS=-Wl,--as-needed -Wl,-z,relro -Wl,-z,-combreloc "
./configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/facile
install src/facile.cmi src/facile.cma src/facile.cmxa src/facile.a $RPM_BUILD_ROOT%{_libdir}/ocaml/facile

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README
%dir %{_libdir}/ocaml/facile
%{_libdir}/ocaml/facile/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-facile.spec,v $
Revision 1.5  2011/07/18 12:49:58  baggins
- release 3

Revision 1.4  2009/04/18 17:30:06  areq
- rel 2

Revision 1.3  2008/07/26 11:25:38  paszczus
- changed name to ocaml-facile

Revision 1.2  2008/07/26 11:17:48  paszczus
- fixes

Revision 1.1  2008/07/26 11:05:45  paszczus
- initial spec

